<?xml version="1.0" encoding="utf-8"?>
<!--
**
** Copyright 2009, The Android Open Source Project
**
** Licensed under the Apache License, Version 2.0 (the "License")
** you may not use this file except in compliance with the License.
** You may obtain a copy of the License at
**
**     http://www.apache.org/licenses/LICENSE-2.0
**
** Unless required by applicable law or agreed to in writing, software
** distributed under the License is distributed on an "AS IS" BASIS,
** WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
** See the License for the specific language governing permissions and
** limitations under the License.
*/
-->

<!-- This is the general lock screen which shows information about the
  state of the device, as well as instructions on how to get past it
  depending on the state of the device.  It is the same for landscape
  and portrait.-->
<GridLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center_horizontal">

    <com.android.internal.widget.DigitalClock android:id="@+id/time"
        android:layout_marginTop="@dimen/keyguard_lockscreen_status_line_clockfont_top_margin"
        android:layout_marginBottom="12dip"
        android:layout_marginRight="@dimen/keyguard_lockscreen_status_line_font_right_margin"
        android:layout_gravity="right">

        <!-- Because we can't have multi-tone fonts, we render two TextViews, one on
        top of the other. Hence the redundant layout... -->
        <TextView android:id="@+id/timeDisplayBackground"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:singleLine="true"
            android:ellipsize="none"
            android:textSize="@dimen/keyguard_lockscreen_clock_font_size"
            android:textAppearance="?android:attr/textAppearanceMedium"
            android:layout_marginBottom="6dip"
            android:textColor="@color/lockscreen_clock_background"
            />

        <TextView android:id="@+id/timeDisplayForeground"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:singleLine="true"
            android:ellipsize="none"
            android:textSize="@dimen/keyguard_lockscreen_clock_font_size"
            android:textAppearance="?android:attr/textAppearanceMedium"
            android:layout_marginBottom="6dip"
            android:textColor="@color/lockscreen_clock_foreground"
            android:layout_alignLeft="@id/timeDisplayBackground"
            android:layout_alignTop="@id/timeDisplayBackground"
            />
            
        <TextView android:id="@+id/am_pm"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_toRightOf="@id/timeDisplayForeground"
            android:layout_alignBottom="@id/timeDisplayForeground"
            android:layout_marginTop="18dip"
            android:singleLine="true"
            android:ellipsize="none"
            android:textSize="14sp"
            android:layout_marginLeft="8dip"
            android:textColor="@color/lockscreen_clock_foreground"
        />

    </com.android.internal.widget.DigitalClock>

    <LinearLayout
        android:orientation="horizontal"
        android:layout_gravity="right"
        android:layout_marginRight="@dimen/keyguard_lockscreen_status_line_font_right_margin">

        <TextView
            android:id="@+id/date"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:singleLine="true"
            android:ellipsize="marquee"
            android:textAppearance="?android:attr/textAppearanceMedium"
            android:textSize="@dimen/keyguard_lockscreen_status_line_font_size"
            />

        <TextView
            android:id="@+id/alarm_status"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="16dip"
            android:singleLine="true"
            android:ellipsize="marquee"
            android:textAppearance="?android:attr/textAppearanceMedium"
            android:textSize="@dimen/keyguard_lockscreen_status_line_font_size"
            android:drawablePadding="4dip"
            />

    </LinearLayout>

    <TextView
        android:id="@+id/status1"
        android:layout_gravity="right"
        android:layout_marginRight="@dimen/keyguard_lockscreen_status_line_font_right_margin"
        android:singleLine="true"
        android:ellipsize="marquee"
        android:textAppearance="?android:attr/textAppearanceMedium"
        android:textSize="@dimen/keyguard_lockscreen_status_line_font_size"
        android:drawablePadding="4dip"
        />
        
    <TextView
        android:id="@+id/dm_lock_prompt"
        android:layout_gravity="right"
        android:layout_marginRight="@dimen/keyguard_lockscreen_status_line_font_right_margin"
        android:singleLine="true"
        android:ellipsize="marquee"
        android:textAppearance="?android:attr/textAppearanceMedium"
        android:textSize="@dimen/keyguard_lockscreen_status_line_font_size"
        android:drawablePadding="4dip"
        android:visibility="gone"
        />
        
    <Space android:layout_gravity="fill" />

    <!-- emergency call button shown when sim is PUKd and tab_selector is hidden -->
    <Button
        android:id="@+id/emergencyCallButton"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="4dip"
        android:layout_marginRight="16dip"
        android:layout_gravity="right"
        android:drawableLeft="@*android:drawable/lockscreen_emergency_button"
        style="?android:attr/buttonBarButtonStyle"
        android:drawablePadding="4dip"
        android:text="@*android:string/lockscreen_emergency_call"
        android:visibility="gone"
        />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="350dip">

        <com.android.internal.widget.multiwaveview.MultiWaveView
            android:id="@+id/unlock_widget"
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_alignParentBottom="true"

            android:targetDrawables="@array/lockscreen_targets_with_camera"
            android:targetDescriptions="@array/lockscreen_target_descriptions_with_camera"
            android:directionDescriptions="@array/lockscreen_direction_descriptions"
            android:handleDrawable="@drawable/ic_lockscreen_handle"
            android:waveDrawable="@drawable/ic_lockscreen_outerring"
            android:outerRadius="@dimen/multiwaveview_target_placement_radius"
            android:snapMargin="@dimen/multiwaveview_snap_margin"
            android:hitRadius="@dimen/multiwaveview_hit_radius"
            android:rightChevronDrawable="@drawable/ic_lockscreen_chevron_right"
            android:horizontalOffset="0dip"
            android:verticalOffset="60dip"
            android:feedbackCount="3"
            android:vibrationDuration="20"
            />
    </RelativeLayout>

        <TextView
            android:id="@+id/carrier"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_marginBottom="12dip"
            android:gravity="center_horizontal"
            android:singleLine="true"
            android:ellipsize="marquee"
            android:textAppearance="?android:attr/textAppearanceMedium"
            android:textSize="@dimen/keyguard_lockscreen_status_line_font_size"
            android:textColor="?android:attr/textColorSecondary"
            />

    

    <LinearLayout
        android:orientation="horizontal"
        android:layout_width="match_parent"
        style="?android:attr/buttonBarStyle"
        android:gravity="center"
        android:weightSum="2">

        <Button android:id="@+id/emergencyCallButton"
            android:layout_gravity="center_horizontal"
            android:layout_width="0dip"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            style="?android:attr/buttonBarButtonStyle"
            android:textSize="@dimen/keyguard_lockscreen_status_line_font_size"
            android:text="@*android:string/lockscreen_emergency_call"
            android:drawableLeft="@*android:drawable/lockscreen_emergency_button"
            android:drawablePadding="0dip"
            android:visibility="gone"
        />

    </LinearLayout>

    <!-- Music transport control -->
    <include android:id="@+id/transport"
        layout="@layout/keyguard_transport_control"
        android:layout_row="0"
        android:layout_column="0"
        android:layout_rowSpan="4"
        android:layout_columnSpan="1"
        android:layout_gravity="fill"
        android:layout_width="0dip"
        android:layout_height="0dip"
        />

</GridLayout>

